Changes of Revision 40

commit_0d4cd88379cb23c8dbe1f4ad8b5d7dd8c01530f6.txt Added
commit_fa35b069633961d1d1109b570922bf56375fd1a9.txt Deleted
open5gs_2.5.4.2.fa35.dsc -> open5gs_2.5.5.dsc Changed
x
 
1
@@ -2,7 +2,7 @@
2
 Source: open5gs
3
 Binary: open5gs-common, open5gs-mme, open5gs-sgwc, open5gs-smf, open5gs-amf, open5gs-sgwu, open5gs-upf, open5gs-hss, open5gs-pcrf, open5gs-nrf, open5gs-scp, open5gs-ausf, open5gs-udm, open5gs-pcf, open5gs-nssf, open5gs-bsf, open5gs-udr, open5gs, open5gs-dbg
4
 Architecture: any
5
-Version: 2.5.4.2.fa35
6
+Version: 2.5.5
7
 Maintainer: Harald Welte <laforge@gnumonks.org>
8
 Uploaders: Sukchan Lee <acetcom@gmail.com>
9
 Homepage: https://open5gs.org
10
@@ -31,8 +31,8 @@
11
  open5gs-udr deb net optional arch=any
12
  open5gs-upf deb net optional arch=any
13
 Checksums-Sha1:
14
- be854975cd3a554f3115f32cfed99bdfeb07b8d6 11489340 open5gs_2.5.4.2.fa35.tar.xz
15
+ 86bbd92647d6425c91dfa856218b711065591f94 11489916 open5gs_2.5.5.tar.xz
16
 Checksums-Sha256:
17
- 7cb908aaae034877cfbf66c30865845269bf40e2e8ec306886e336584d2b6f8a 11489340 open5gs_2.5.4.2.fa35.tar.xz
18
+ 33c6174ac8925d6797ce5227339c8f0a22cc4092f4ac4c1effa6e62003b9288e 11489916 open5gs_2.5.5.tar.xz
19
 Files:
20
- 46adb02ddc82965a7064aadf4d3bb710 11489340 open5gs_2.5.4.2.fa35.tar.xz
21
+ dc552f2367655f3902d8be3aa602466a 11489916 open5gs_2.5.5.tar.xz
22
open5gs_2.5.4.2.fa35.tar.xz/.tarball-version -> open5gs_2.5.5.tar.xz/.tarball-version Changed
4
 
1
@@ -1 +1 @@
2
-2.5.4.2-fa35
3
+2.5.5
4
open5gs_2.5.4.2.fa35.tar.xz/debian/changelog -> open5gs_2.5.5.tar.xz/debian/changelog Changed
12
 
1
@@ -1,8 +1,8 @@
2
-open5gs (2.5.4.2.fa35) unstable; urgency=medium
3
+open5gs (2.5.5) unstable; urgency=medium
4
 
5
   * Automatically generated changelog entry for building the Osmocom master feed
6
 
7
- -- Osmocom OBS scripts <info@osmocom.org>  Fri, 04 Nov 2022 06:12:56 +0000
8
+ -- Osmocom OBS scripts <info@osmocom.org>  Fri, 04 Nov 2022 09:06:07 +0000
9
 
10
 open5gs (2.5.4) unstable; urgency=medium
11
 
12
open5gs_2.5.4.2.fa35.tar.xz/docker/build/Dockerfile -> open5gs_2.5.5.tar.xz/docker/build/Dockerfile Changed
9
 
1
@@ -9,4 +9,7 @@
2
 COPY docker/build/setup.sh /root
3
 COPY ./ /open5gs
4
 
5
+ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.9.0/wait /wait
6
+RUN chmod +x /wait
7
+
8
 RUN meson build && ninja -C build install
9
open5gs_2.5.4.2.fa35.tar.xz/docker/check.sh -> open5gs_2.5.5.tar.xz/docker/check.sh Changed
16
 
1
@@ -1,9 +1,9 @@
2
 #!/bin/sh
3
 
4
-docker-compose run --rm test
5
-TAG=focal docker-compose run --rm test
6
-DIST=fedora docker-compose run --rm test
7
-DIST=debian docker-compose run --rm test
8
-#DIST=alpine docker-compose run --rm test
9
+docker compose run --rm test
10
+TAG=focal docker compose run --rm test
11
+DIST=fedora docker compose run --rm test
12
+DIST=debian docker compose run --rm test
13
+#DIST=alpine docker compose run --rm test
14
 
15
 docker rm $(docker ps -qa --no-trunc --filter "status=exited")
16
open5gs_2.5.4.2.fa35.tar.xz/docker/docker-compose.yml -> open5gs_2.5.5.tar.xz/docker/docker-compose.yml Changed
44
 
1
@@ -6,8 +6,10 @@
2
     container_name: open5gs-mongodb
3
     ports:
4
       - "27017:27017"
5
+    restart: unless-stopped
6
     volumes:
7
       - mongodb:/data/db
8
+      - ../docs/assets/webui/mongo-init.js:/docker-entrypoint-initdb.d/mongo-init.js:ro
9
 
10
   webui:
11
     build: webui
12
@@ -17,10 +19,9 @@
13
       - mongodb
14
     ports:
15
       - "3000:3000"
16
-    depends_on:
17
-      - mongodb
18
     environment:
19
-      DB_URI: mongodb://mongodb/open5gs
20
+      - DB_URI=mongodb://mongodb/open5gs
21
+      - WAIT_HOSTS=mongodb:27017
22
 
23
   base:
24
     build:
25
@@ -67,7 +68,8 @@
26
       - mongodb
27
       - build
28
     environment:
29
-      DB_URI: mongodb://mongodb/open5gs
30
+      - DB_URI=mongodb://mongodb/open5gs
31
+      - WAIT_HOSTS=mongodb:27017
32
     cap_add:
33
       - NET_ADMIN
34
     devices:
35
@@ -75,7 +77,7 @@
36
     sysctls:
37
       - net.ipv6.conf.all.disable_ipv6=0
38
     hostname: open5gs-test
39
-    command: /bin/bash -c "/root/setup.sh; cd /open5gs/build && meson test -v"
40
+    command: /bin/bash -c "/root/setup.sh; cd /open5gs/build && /wait && meson test -v"
41
 
42
   dev:
43
     build:
44
open5gs_2.5.4.2.fa35.tar.xz/docker/webui/Dockerfile -> open5gs_2.5.5.tar.xz/docker/webui/Dockerfile Changed
21
 
1
@@ -3,7 +3,7 @@
2
 MAINTAINER Sukchan Lee <acetcom@gmail.com>
3
 
4
 ARG PACKAGE=open5gs
5
-ARG VERSION=2.5.4
6
+ARG VERSION=2.5.5
7
 
8
 RUN set -e; \
9
     cd /usr/src; \
10
@@ -16,6 +16,9 @@
11
 RUN npm clean-install && \
12
     npm run build
13
 
14
-CMD npm run start
15
+ADD https://github.com/ufoscout/docker-compose-wait/releases/download/2.9.0/wait /wait
16
+RUN chmod +x /wait
17
+
18
+CMD /wait && npm run start
19
 
20
 EXPOSE 3000
21
open5gs_2.5.4.2.fa35.tar.xz/docs/assets/webui/install -> open5gs_2.5.5.tar.xz/docs/assets/webui/install Changed
262
 
1
@@ -10,7 +10,7 @@
2
 #
3
 
4
 PACKAGE="open5gs"
5
-VERSION="2.5.4"
6
+VERSION="2.5.5"
7
 
8
 print_status() {
9
     echo
10
@@ -93,18 +93,23 @@
11
 
12
 PRE_INSTALL_PKGS=""
13
 
14
-if  ! -x /usr/bin/lsb_release ; then
15
-    PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} lsb-release"
16
+# Check that HTTPS transport is available to APT
17
+# (Check snaked from: https://get.docker.io/ubuntu/)
18
+
19
+if  ! -e /usr/lib/apt/methods/https ; then
20
+    PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} apt-transport-https"
21
 fi
22
 
23
-if  ! -x /usr/bin/node  &&  ! -x /usr/bin/wget ; then
24
-    PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} nodejs"
25
+if  ! -x /usr/bin/lsb_release ; then
26
+    PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} lsb-release"
27
 fi
28
 
29
 if  ! -x /usr/bin/curl  &&  ! -x /usr/bin/wget ; then
30
     PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} curl"
31
 fi
32
 
33
+# Used by apt-key to add new keys
34
+
35
 if  ! -x /usr/bin/gpg ; then
36
     PRE_INSTALL_PKGS="${PRE_INSTALL_PKGS} gnupg"
37
 fi
38
@@ -114,9 +119,17 @@
39
 
40
 if  "X${PRE_INSTALL_PKGS}" != "X" ; then
41
     print_status "Installing packages required for setup:${PRE_INSTALL_PKGS}..."
42
+    # This next command needs to be redirected to /dev/null or the script will bork
43
+    # in some environments
44
     exec_cmd "apt-get install -y${PRE_INSTALL_PKGS} > /dev/null 2>&1"
45
 fi
46
 
47
+IS_PRERELEASE=$(lsb_release -d | grep 'Ubuntu .*development' >& /dev/null; echo $?)
48
+if  $IS_PRERELEASE -eq 0 ; then
49
+    print_status "Your distribution, identified as \"$(lsb_release -d -s)\", is a pre-release version of Ubuntu. NodeSource does not maintain official support for Ubuntu versions until they are formally released. You can try using the manual installation instructions available at https://github.com/nodesource/distributions and use the latest supported Ubuntu version name as the distribution identifier, although this is not guaranteed to work."
50
+    exit 1
51
+fi
52
+
53
 DISTRO=$(lsb_release -c -s)
54
 
55
 check_alt() {
56
@@ -128,54 +141,76 @@
57
     fi
58
 }
59
 
60
-check_alt "SolydXK"       "solydxk-9" "Debian" "stretch"
61
-check_alt "Kali"          "sana"     "Debian" "jessie"
62
-check_alt "Kali"          "kali-rolling" "Debian" "jessie"
63
-check_alt "Sparky Linux"  "Tyche"    "Debian" "stretch"
64
-check_alt "Sparky Linux"  "Nibiru"   "Debian" "buster"
65
-check_alt "MX Linux 17"   "Horizon"  "Debian" "stretch"
66
-check_alt "MX Linux 18"   "Continuum" "Debian" "stretch"
67
-check_alt "MX Linux 19"   "patito feo" "Debian" "buster"
68
-check_alt "Linux Mint"    "maya"     "Ubuntu" "precise"
69
-check_alt "Linux Mint"    "qiana"    "Ubuntu" "trusty"
70
-check_alt "Linux Mint"    "rafaela"  "Ubuntu" "trusty"
71
-check_alt "Linux Mint"    "rebecca"  "Ubuntu" "trusty"
72
-check_alt "Linux Mint"    "rosa"     "Ubuntu" "trusty"
73
-check_alt "Linux Mint"    "sarah"    "Ubuntu" "xenial"
74
-check_alt "Linux Mint"    "serena"   "Ubuntu" "xenial"
75
-check_alt "Linux Mint"    "sonya"    "Ubuntu" "xenial"
76
-check_alt "Linux Mint"    "sylvia"   "Ubuntu" "xenial"
77
-check_alt "Linux Mint"    "tara"     "Ubuntu" "bionic"
78
-check_alt "Linux Mint"    "tessa"    "Ubuntu" "bionic"
79
-check_alt "Linux Mint"    "tina"     "Ubuntu" "bionic"
80
-check_alt "Linux Mint"    "tricia"   "Ubuntu" "bionic"
81
-check_alt "LMDE"          "betsy"    "Debian" "jessie"
82
-check_alt "LMDE"          "cindy"    "Debian" "stretch"
83
-check_alt "elementaryOS"  "luna"     "Ubuntu" "precise"
84
-check_alt "elementaryOS"  "freya"    "Ubuntu" "trusty"
85
-check_alt "elementaryOS"  "loki"     "Ubuntu" "xenial"
86
-check_alt "elementaryOS"  "juno"     "Ubuntu" "bionic"
87
-check_alt "elementaryOS"  "hera"     "Ubuntu" "bionic"
88
-check_alt "Trisquel"      "toutatis" "Ubuntu" "precise"
89
-check_alt "Trisquel"      "belenos"  "Ubuntu" "trusty"
90
-check_alt "Trisquel"      "flidas"   "Ubuntu" "xenial"
91
-check_alt "Uruk GNU/Linux" "lugalbanda" "Ubuntu" "xenial"
92
-check_alt "BOSS"          "anokha"   "Debian" "wheezy"
93
-check_alt "BOSS"          "anoop"    "Debian" "jessie"
94
-check_alt "BOSS"          "drishti"  "Debian" "stretch"
95
-check_alt "bunsenlabs"    "bunsen-hydrogen" "Debian" "jessie"
96
-check_alt "bunsenlabs"    "helium"   "Debian" "stretch"
97
-check_alt "Tanglu"        "chromodoris" "Debian" "jessie"
98
-check_alt "PureOS"        "green"    "Debian" "sid"
99
-check_alt "Devuan"        "jessie"   "Debian" "jessie"
100
-check_alt "Devuan"        "ascii"    "Debian" "stretch"
101
-check_alt "Devuan"        "beowulf"  "Debian" "buster"
102
-check_alt "Devuan"        "ceres"    "Debian" "sid"
103
-check_alt "Deepin"        "panda"    "Debian" "sid"
104
-check_alt "Deepin"        "unstable" "Debian" "sid"
105
-check_alt "Deepin"        "stable"   "Debian" "buster"
106
-check_alt "Pardus"        "onyedi"   "Debian" "stretch"
107
-check_alt "Liquid Lemur"  "lemur-3"  "Debian" "stretch"
108
+check_alt "Astra Linux"    "orel"            "Debian"        "stretch"
109
+check_alt "BOSS"           "anokha"          "Debian"        "wheezy"
110
+check_alt "BOSS"           "anoop"           "Debian"        "jessie"
111
+check_alt "BOSS"           "drishti"         "Debian"        "stretch"
112
+check_alt "BOSS"           "unnati"          "Debian"        "buster"
113
+check_alt "BOSS"           "urja"            "Debian"        "bullseye"
114
+check_alt "bunsenlabs"     "bunsen-hydrogen" "Debian"        "jessie"
115
+check_alt "bunsenlabs"     "helium"          "Debian"        "stretch"
116
+check_alt "bunsenlabs"     "lithium"         "Debian"        "buster"
117
+check_alt "Devuan"         "jessie"          "Debian"        "jessie"
118
+check_alt "Devuan"         "ascii"           "Debian"        "stretch"
119
+check_alt "Devuan"         "beowulf"         "Debian"        "buster"
120
+check_alt "Devuan"         "chimaera"        "Debian"        "bullseye"
121
+check_alt "Devuan"         "ceres"           "Debian"        "sid"
122
+check_alt "Deepin"         "panda"           "Debian"        "sid"
123
+check_alt "Deepin"         "unstable"        "Debian"        "sid"
124
+check_alt "Deepin"         "stable"          "Debian"        "buster"
125
+check_alt "Deepin"         "apricot"         "Debian"        "buster"
126
+check_alt "elementaryOS"   "luna"            "Ubuntu"        "precise"
127
+check_alt "elementaryOS"   "freya"           "Ubuntu"        "trusty"
128
+check_alt "elementaryOS"   "loki"            "Ubuntu"        "xenial"
129
+check_alt "elementaryOS"   "juno"            "Ubuntu"        "bionic"
130
+check_alt "elementaryOS"   "hera"            "Ubuntu"        "bionic"
131
+check_alt "elementaryOS"   "odin"            "Ubuntu"        "focal"
132
+check_alt "elementaryOS"   "jolnir"          "Ubuntu"        "focal"
133
+check_alt "Kali"           "sana"            "Debian"        "jessie"
134
+check_alt "Kali"           "kali-rolling"    "Debian"        "bullseye"
135
+check_alt "Linux Mint"     "maya"            "Ubuntu"        "precise"
136
+check_alt "Linux Mint"     "qiana"           "Ubuntu"        "trusty"
137
+check_alt "Linux Mint"     "rafaela"         "Ubuntu"        "trusty"
138
+check_alt "Linux Mint"     "rebecca"         "Ubuntu"        "trusty"
139
+check_alt "Linux Mint"     "rosa"            "Ubuntu"        "trusty"
140
+check_alt "Linux Mint"     "sarah"           "Ubuntu"        "xenial"
141
+check_alt "Linux Mint"     "serena"          "Ubuntu"        "xenial"
142
+check_alt "Linux Mint"     "sonya"           "Ubuntu"        "xenial"
143
+check_alt "Linux Mint"     "sylvia"          "Ubuntu"        "xenial"
144
+check_alt "Linux Mint"     "tara"            "Ubuntu"        "bionic"
145
+check_alt "Linux Mint"     "tessa"           "Ubuntu"        "bionic"
146
+check_alt "Linux Mint"     "tina"            "Ubuntu"        "bionic"
147
+check_alt "Linux Mint"     "tricia"          "Ubuntu"        "bionic"
148
+check_alt "Linux Mint"     "ulyana"          "Ubuntu"        "focal"
149
+check_alt "Linux Mint"     "ulyssa"          "Ubuntu"        "focal"
150
+check_alt "Linux Mint"     "uma"             "Ubuntu"        "focal"
151
+check_alt "Linux Mint"     "una"             "Ubuntu"        "focal"
152
+check_alt "Linux Mint"     "vanessa"         "Ubuntu"        "jammy"
153
+check_alt "Liquid Lemur"   "lemur-3"         "Debian"        "stretch"
154
+check_alt "LMDE"           "betsy"           "Debian"        "jessie"
155
+check_alt "LMDE"           "cindy"           "Debian"        "stretch"
156
+check_alt "LMDE"           "debbie"          "Debian"        "buster"
157
+check_alt "LMDE"           "elsie"           "Debian"        "bullseye"
158
+check_alt "MX Linux 17"    "Horizon"         "Debian"        "stretch"
159
+check_alt "MX Linux 18"    "Continuum"       "Debian"        "stretch"
160
+check_alt "MX Linux 19"    "patito feo"      "Debian"        "buster"
161
+check_alt "MX Linux 21"    "wildflower"      "Debian"        "bullseye"
162
+check_alt "Pardus"         "onyedi"          "Debian"        "stretch"
163
+check_alt "Parrot"         "ara"             "Debian"        "bullseye"
164
+check_alt "PureOS"         "green"           "Debian"        "sid"
165
+check_alt "PureOS"         "amber"           "Debian"        "buster"
166
+check_alt "PureOS"         "byzantium"       "Debian"        "bullseye"
167
+check_alt "SolydXK"        "solydxk-9"       "Debian"        "stretch"
168
+check_alt "Sparky Linux"   "Tyche"           "Debian"        "stretch"
169
+check_alt "Sparky Linux"   "Nibiru"          "Debian"        "buster"
170
+check_alt "Sparky Linux"   "Po-Tolo"         "Debian"        "bullseye"
171
+check_alt "Tanglu"         "chromodoris"     "Debian"        "jessie"
172
+check_alt "Trisquel"       "toutatis"        "Ubuntu"        "precise"
173
+check_alt "Trisquel"       "belenos"         "Ubuntu"        "trusty"
174
+check_alt "Trisquel"       "flidas"          "Ubuntu"        "xenial"
175
+check_alt "Trisquel"       "etiona"          "Ubuntu"        "bionic"
176
+check_alt "Ubilinux"       "dolcetto"        "Debian"        "stretch"
177
+check_alt "Uruk GNU/Linux" "lugalbanda"      "Ubuntu"        "xenial"
178
 
179
 if  "X${DISTRO}" == "Xdebian" ; then
180
   print_status "Unknown Debian-based distribution, checking /etc/debian_version..."
181
@@ -188,31 +223,25 @@
182
   fi
183
 fi
184
 
185
-if  "X${DISTRO}" == "Xbuster" ; then
186
-    if  -f "/etc/apt/sources.list.d/mongodb-org.list" ; then
187
-        print_status 'Removing Launchpad PPA Repository for MongoDB...'
188
-        exec_cmd "rm -f /etc/apt/sources.list.d/mongodb-org.list"
189
-    fi
190
+print_status 'Removing Launchpad PPA Repository for MongoDB...'
191
+for i in /etc/apt/sources.list.d/mongodb-org*; do
192
+    exec_cmd "rm -f $i"
193
+done
194
 
195
-    print_status 'Adding the MongoDB signing key to your keyring...'
196
+print_status 'Adding the MongoDB signing key to your keyring...'
197
 
198
-    if  -x /usr/bin/curl ; then
199
-        exec_cmd 'curl -s https://www.mongodb.org/static/pgp/server-4.2.asc | apt-key add -'
200
-    else
201
-        exec_cmd 'wget -qO- https://www.mongodb.org/static/pgp/server-4.2.asc | apt-key add -'
202
-    fi
203
+if  -x /usr/bin/curl ; then
204
+    exec_cmd_nobail "curl -sLf -o /dev/null 'https://www.mongodb.org/static/pgp/server-6.0.asc' | apt-key add -"
205
+else
206
+    exec_cmd_nobail "wget -qO /dev/null -o /dev/null 'https://www.mongodb.org/static/pgp/server-6.0.asc' | apt-key add -"
207
+fi
208
 
209
-    print_status "Creating apt sources list file for the MongoDB repo..."
210
+print_status "Creating apt sources list file for the MongoDB repo..."
211
 
212
-    exec_cmd "echo 'deb http://repo.mongodb.org/apt/debian buster/mongodb-org/4.2 main' > /etc/apt/sources.list.d/mongodb-org.list"
213
+exec_cmd "echo 'deb  arch=amd64,arm64  https://repo.mongodb.org/apt/ubuntu focal/mongodb-org/6.0 multiverse' > /etc/apt/sources.list.d/mongodb-org-6.0.list"
214
 
215
-    if  ! -x /usr/bin/mongod ; then
216
-        MONGODB_INSTALL_PKGS="${MONGODB_INSTALL_PKGS} mongodb-org"
217
-    fi
218
-else
219
-    if  ! -x /usr/bin/mongod ; then
220
-        MONGODB_INSTALL_PKGS="${MONGODB_INSTALL_PKGS} mongodb"
221
-    fi
222
+if  ! -x /usr/bin/mongod ; then
223
+    MONGODB_INSTALL_PKGS="${MONGODB_INSTALL_PKGS} mongodb-org"
224
 fi
225
 
226
 if  "X${MONGODB_INSTALL_PKGS}" != "X" ; then
227
@@ -240,7 +269,7 @@
228
 fi
229
 
230
 print_status "Build the Open5GS WebUI..."
231
-exec_cmd "cd ./${PACKAGE}-${VERSION}/webui && npm ci && npm run build"
232
+exec_cmd "cd ./${PACKAGE}-${VERSION}/webui && npm clean-install && npm run build"
233
 
234
 print_status "Install the Open5GS WebUI..."
235
 exec_cmd "mv ./${PACKAGE}-${VERSION}/webui /usr/lib/node_modules/${PACKAGE}"
236
@@ -267,23 +296,14 @@
237
 exec_cmd_nobail "systemctl daemon-reload"
238
 exec_cmd "systemctl enable open5gs-webui"
239
 exec_cmd "deb-systemd-invoke start open5gs-webui"
240
-
241
-exec_cmd "rm -rf ./${PACKAGE}-${VERSION}"
242
 }
243
 
244
 postinstall() {
245
 
246
 print_status "Default Administrator Account Username:admin, Password:1423..."
247
+exec_cmd "mongosh open5gs ./${PACKAGE}-${VERSION}/docs/assets/webui/mongo-init.js"
248
 
249
-exec_cmd "cat << EOF > ./account.js
250
-db = db.getSiblingDB('open5gs')
251
-cursor = db.accounts.find()
252
-if ( cursor.count() == 0 ) {
253
-    db.accounts.insert({ salt: 'f5c15fa72622d62b6b790aa8569b9339729801ab8bda5d13997b5db6bfc1d997', hash: '402223057db5194899d2e082aeb0802f6794622e1cbc47529c419e5a603f2cc592074b4f3323b239ffa594c8b756d5c70a4e1f6ecd3f9f0d2d7328c4cf8b1b766514effff0350a90b89e21eac54cd4497a169c0c7554a0e2cd9b672e5414c323f76b8559bc768cba11cad2ea3ae704fb36abc8abc2619231ff84ded60063c6e1554a9777a4a464ef9cfdfa90ecfdacc9844e0e3b2f91b59d9ff024aec4ea1f51b703a31cda9afb1cc2c719a09cee4f9852ba3cf9f07159b1ccf8133924f74df770b1a391c19e8d67ffdcbbef4084a3277e93f55ac60d80338172b2a7b3f29cfe8a36738681794f7ccbe9bc98f8cdeded02f8a4cd0d4b54e1d6ba3d11792ee0ae8801213691848e9c5338e39485816bb0f734b775ac89f454ef90992003511aa8cceed58a3ac2c3814f14afaaed39cbaf4e2719d7213f81665564eec02f60ede838212555873ef742f6666cc66883dcb8281715d5c762fb236d72b770257e7e8d86c122bb69028a34cf1ed93bb973b440fa89a23604cd3fefe85fbd7f55c9b71acf6ad167228c79513f5cfe899a2e2cc498feb6d2d2f07354a17ba74cecfbda3e87d57b147e17dcc7f4c52b802a8e77f28d255a6712dcdc1519e6ac9ec593270bfcf4c395e2531a271a841b1adefb8516a07136b0de47c7fd534601b16f0f7a98f1dbd31795feb97da59e1d23c08461cf37d6f2877d0f2e437f07e25015960f63', username: 'admin', roles:  'admin' , "__v" : 0})
254
-}
255
-EOF"
256
-exec_cmd "mongo open5gs ./account.js"
257
-exec_cmd "rm -f ./account.js"
258
+exec_cmd "rm -rf ./${PACKAGE}-${VERSION}"
259
 }
260
 
261
 ## Defer setup until we have the complete script
262
open5gs_2.5.5.tar.xz/docs/assets/webui/mongo-init.js Added
7
 
1
@@ -0,0 +1,5 @@
2
+db = db.getSiblingDB('open5gs')
3
+cursor = db.accounts.find()
4
+if ( cursor.count() == 0 ) {
5
+    db.accounts.insertOne({ salt: 'f5c15fa72622d62b6b790aa8569b9339729801ab8bda5d13997b5db6bfc1d997', hash: '402223057db5194899d2e082aeb0802f6794622e1cbc47529c419e5a603f2cc592074b4f3323b239ffa594c8b756d5c70a4e1f6ecd3f9f0d2d7328c4cf8b1b766514effff0350a90b89e21eac54cd4497a169c0c7554a0e2cd9b672e5414c323f76b8559bc768cba11cad2ea3ae704fb36abc8abc2619231ff84ded60063c6e1554a9777a4a464ef9cfdfa90ecfdacc9844e0e3b2f91b59d9ff024aec4ea1f51b703a31cda9afb1cc2c719a09cee4f9852ba3cf9f07159b1ccf8133924f74df770b1a391c19e8d67ffdcbbef4084a3277e93f55ac60d80338172b2a7b3f29cfe8a36738681794f7ccbe9bc98f8cdeded02f8a4cd0d4b54e1d6ba3d11792ee0ae8801213691848e9c5338e39485816bb0f734b775ac89f454ef90992003511aa8cceed58a3ac2c3814f14afaaed39cbaf4e2719d7213f81665564eec02f60ede838212555873ef742f6666cc66883dcb8281715d5c762fb236d72b770257e7e8d86c122bb69028a34cf1ed93bb973b440fa89a23604cd3fefe85fbd7f55c9b71acf6ad167228c79513f5cfe899a2e2cc498feb6d2d2f07354a17ba74cecfbda3e87d57b147e17dcc7f4c52b802a8e77f28d255a6712dcdc1519e6ac9ec593270bfcf4c395e2531a271a841b1adefb8516a07136b0de47c7fd534601b16f0f7a98f1dbd31795feb97da59e1d23c08461cf37d6f2877d0f2e437f07e25015960f63', username: 'admin', roles:  'admin' , "__v" : 0})
6
+}
7
open5gs_2.5.4.2.fa35.tar.xz/webui/package-lock.json -> open5gs_2.5.5.tar.xz/webui/package-lock.json Changed
16
 
1
@@ -1,12 +1,12 @@
2
 {
3
   "name": "open5gs",
4
-  "version": "2.5.4",
5
+  "version": "2.5.5",
6
   "lockfileVersion": 2,
7
   "requires": true,
8
   "packages": {
9
     "": {
10
       "name": "open5gs",
11
-      "version": "2.5.4",
12
+      "version": "2.5.5",
13
       "license": "AGPL-3.0",
14
       "dependencies": {
15
         "axios": "^0.27.2",
16
open5gs_2.5.4.2.fa35.tar.xz/webui/package.json -> open5gs_2.5.5.tar.xz/webui/package.json Changed
9
 
1
@@ -1,6 +1,6 @@
2
 {
3
   "name": "open5gs",
4
-  "version": "2.5.4",
5
+  "version": "2.5.5",
6
   "description": "Open5gs",
7
   "main": "index.js",
8
   "repository": "https://github.com/open5gs/open5gs/webui",
9
open5gs_2.5.4.2.fa35.tar.xz/webui/server/routes/auth.js -> open5gs_2.5.5.tar.xz/webui/server/routes/auth.js Changed
16
 
1
@@ -29,8 +29,10 @@
2
   passport.authenticate('local', { successRedirect: '/' }));
3
 
4
 router.post('/logout', (req, res) => {
5
-  req.logout();
6
-  res.redirect('/');
7
+  req.logout(function(err) {
8
+    if (err) { return next(err); }
9
+    res.redirect('/');
10
+  });
11
 });
12
 
13
-module.exports = router;
14
\ No newline at end of file
15
+module.exports = router;
16